if not exists (select * from sys.syscolumns where name = 'IsPrivate' AND id = object_id(N'dbo.Todo'))
    alter table dbo.Todo
    add IsPrivate bit not null constraint DF_Todo_IsPrivate DEFAULT(0)
        ,CustomField1 nvarchar(256) null
        ,CustomField2 nvarchar(256) null
        ,CustomField3 nvarchar(256) null